# Demonstrate XSL policy with xsl:choose

## Instructions:

1. Deploy this api proxy to your org + env.

2. Invoke like this to demonstrate the positive branch of the xsl:choose:

```
curl -i -X POST -H content-type:application/xml \
  https://ORG-ENV.apigee.net/shubham-xsl1/t1 \
  -d '<xyz>
  <App>foo</App>
</xyz>'

```

Response:
```
<soap:Envelope xmlns:SCI="http://abc.xsd" xmlns:soap="http://www.w3.org/2003/05/soap-envelope">
   <soap:Body>
      <SCI:abc>
         <SCI:xyz>
            <App>foo</App>
         </SCI:xyz>
      </SCI:abc>
   </soap:Body>
</soap:Envelope>
```

3. Invoke this way to  demonstrate the otherwise branch of the xsl:choose:

```
curl -i -X POST -H content-type:application/xml \
  https://ORG-ENV.apigee.net/shubham-xsl1/t1?app=whatever \
  -d '<xyz>
  <App1>foo</App1>
</xyz>'

```

Response:
```
<soap:Envelope xmlns:SCI="http://abc.xsd" xmlns:soap="http://www.w3.org/2003/05/soap-envelope">
   <soap:Body>
      <SCI:abc>
         <SCI:xyz>
            <App>whatever</App>
         </SCI:xyz>
      </SCI:abc>
   </soap:Body>
</soap:Envelope>
```
